/*
    Ming, an SWF output library
    Copyright (C) 2000  Opaque Industries - http://www.opaque.net/

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef MING_SHAPE_H_INCLUDED
#define MING_SHAPE_H_INCLUDED

#include "blocks/swf.h"
#include "fill.h"

static inline SWFFill SWFShape_addSolidFill(SWFShape shape,
					    byte r, byte g, byte b, byte a)
{
  return newSWFFill(SWFShape_addSolidFillStyle(shape, r, g, b, a));
}
static inline SWFFill SWFShape_addGradientFill(SWFShape shape,
					       SWFGradient gradient,
					       byte flags)
{
  return newSWFFill(SWFShape_addGradientFillStyle(shape, gradient, flags));
}
static inline SWFFill SWFShape_addBitmapFill(SWFShape shape,
					     SWFBitmap bitmap, byte flags)
{
  return newSWFFill(SWFShape_addBitmapFillStyle(shape, bitmap, flags));
}

static inline void SWFShape_setLeftFill(SWFShape shape, SWFFill fill)
{
  SWFShape_setLeftFillStyle(shape, fill->fillstyle);
}
static inline void SWFShape_setRightFill(SWFShape shape, SWFFill fill)
{
  SWFShape_setRightFillStyle(shape, fill->fillstyle);
}

void SWFShape_setLine(SWFShape shape,
		      unsigned short width, byte r, byte g, byte b, byte a);

#endif /* MING_SHAPE_H_INCLUDED */
